Skip to main content
POST
/
api
/
v1
/
landing-pages
/
{landingPageId}
/
unpublish
Unpublish Landing Page
curl --request POST \
  --url https://api.sequenzy.com/api/v1/landing-pages/{landingPageId}/unpublish \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "slug": "<string>",
  "content": {}
}
'
{
  "success": true,
  "landingPage": {
    "id": "lp_abc123",
    "name": "Product Waitlist",
    "slug": "product-waitlist",
    "status": "draft",
    "appPublicUrl": null,
    "publicUrl": null
  }
}
Unpublish a landing page and return it to draft status. You can optionally update its name, slug, or content in the same request.

Request

landingPageId
string
required
Landing page ID.
name
string
Optional updated landing page name.
slug
string
Optional updated URL slug.
content
object
Optional updated landing page builder JSON.
curl -X POST "https://api.sequenzy.com/api/v1/landing-pages/lp_abc123/unpublish" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'

Responses

{
  "success": true,
  "landingPage": {
    "id": "lp_abc123",
    "name": "Product Waitlist",
    "slug": "product-waitlist",
    "status": "draft",
    "appPublicUrl": null,
    "publicUrl": null
  }
}